Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -940,37 +911,36 @@
 !
 !--    Arrays needed for reasons of speed optimization for cache version.
-!--    For the vector version the buffer arrays are not necessary,
-!--    because the the fluxes can swapped directly inside the loops of the
-!--    advection routines.
+!--    For the vector version the buffer arrays are not necessary, because the the fluxes can
+!--    swapped directly inside the loops of the advection routines.
        IF ( loop_optimization /= 'vector' )  THEN
           IF ( ws_scheme_sca )  THEN
              IF ( microphysics_morrison )  THEN
-                ALLOCATE( flux_s_qc(nzb+1:nzt,0:threads_per_task-1),           &
-                          diss_s_qc(nzb+1:nzt,0:threads_per_task-1),           &
-                          flux_s_nc(nzb+1:nzt,0:threads_per_task-1),           &
+                ALLOCATE( flux_s_qc(nzb+1:nzt,0:threads_per_task-1),                               &
+                          diss_s_qc(nzb+1:nzt,0:threads_per_task-1),                               &
+                          flux_s_nc(nzb+1:nzt,0:threads_per_task-1),                               &
                           diss_s_nc(nzb+1:nzt,0:threads_per_task-1) )
-                ALLOCATE( flux_l_qc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          diss_l_qc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          flux_l_nc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
+                ALLOCATE( flux_l_qc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          diss_l_qc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          flux_l_nc(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
                           diss_l_nc(nzb+1:nzt,nys:nyn,0:threads_per_task-1) )
              ENDIF
              IF ( microphysics_seifert )  THEN
-                ALLOCATE( flux_s_qr(nzb+1:nzt,0:threads_per_task-1),           &
-                          diss_s_qr(nzb+1:nzt,0:threads_per_task-1),           &
-                          flux_s_nr(nzb+1:nzt,0:threads_per_task-1),           &
+                ALLOCATE( flux_s_qr(nzb+1:nzt,0:threads_per_task-1),                               &
+                          diss_s_qr(nzb+1:nzt,0:threads_per_task-1),                               &
+                          flux_s_nr(nzb+1:nzt,0:threads_per_task-1),                               &
                           diss_s_nr(nzb+1:nzt,0:threads_per_task-1) )
-                ALLOCATE( flux_l_qr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          diss_l_qr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          flux_l_nr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
+                ALLOCATE( flux_l_qr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          diss_l_qr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          flux_l_nr(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
                           diss_l_nr(nzb+1:nzt,nys:nyn,0:threads_per_task-1) )
              ENDIF
              IF ( microphysics_ice_phase )  THEN
-                ALLOCATE( flux_s_qi(nzb+1:nzt,0:threads_per_task-1),           &
-                          diss_s_qi(nzb+1:nzt,0:threads_per_task-1),           &
-                          flux_s_ni(nzb+1:nzt,0:threads_per_task-1),           &
+                ALLOCATE( flux_s_qi(nzb+1:nzt,0:threads_per_task-1),                               &
+                          diss_s_qi(nzb+1:nzt,0:threads_per_task-1),                               &
+                          flux_s_ni(nzb+1:nzt,0:threads_per_task-1),                               &
                           diss_s_ni(nzb+1:nzt,0:threads_per_task-1) )
-                ALLOCATE( flux_l_qi(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          diss_l_qi(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
-                          flux_l_ni(nzb+1:nzt,nys:nyn,0:threads_per_task-1),   &
+                ALLOCATE( flux_l_qi(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          diss_l_qi(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
+                          flux_l_ni(nzb+1:nzt,nys:nyn,0:threads_per_task-1),                       &
                           diss_l_ni(nzb+1:nzt,nys:nyn,0:threads_per_task-1) )
              ENDIF
@@ -1002,9 +972,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialization of the bulk cloud module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_init
 
@@ -1048,6 +1018,5 @@
              ENDIF
 !
-!--          Liquid water content and precipitation amount
-!--          are zero at beginning of the simulation
+!--          Liquid water content and precipitation amount are zero at beginning of the simulation.
              ql = 0.0_wp
              qc = 0.0_wp
@@ -1076,7 +1045,6 @@
           ENDIF ! Only if not read_restart_data
 !
-!--       constant for the sedimentation of cloud water (2-moment cloud physics)
-          sed_qc_const = k_st * ( 3.0_wp / ( 4.0_wp * pi * rho_l )                &
-                             )**( 2.0_wp / 3.0_wp ) *                             &
+!--       Constant for the sedimentation of cloud water (2-moment cloud physics)
+          sed_qc_const = k_st * ( 3.0_wp / ( 4.0_wp * pi * rho_l ) )**( 2.0_wp / 3.0_wp ) *        &
                          EXP( 5.0_wp * LOG( sigma_gc )**2 )
 
@@ -1084,6 +1052,5 @@
 !--       Calculate timestep according to precipitation
           IF ( microphysics_seifert )  THEN
-             dt_precipitation = c_sedimentation * MINVAL( dzu(nzb+2:nzt) ) /      &
-                                w_precipitation
+             dt_precipitation = c_sedimentation * MINVAL( dzu(nzb+2:nzt) ) / w_precipitation
           ENDIF
 
@@ -1122,9 +1089,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Header output for bulk cloud module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_header ( io )
 
@@ -1166,7 +1133,6 @@
 
 
-1   FORMAT ( //' Bulk cloud module information:'/ &
-               ' ------------------------------------------'/ )
-2   FORMAT ( '--> Bulk scheme with liquid water potential temperature and'/ &
+1   FORMAT ( //' Bulk cloud module information:'/ ' ------------------------------------------'/ )
+2   FORMAT ( '--> Bulk scheme with liquid water potential temperature and'/                        &
              '    total water content is used.' )
 3   FORMAT ( '--> Condensation is parameterized via 0% - or 100% scheme.' )
@@ -1191,9 +1157,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_actions( location )
 
@@ -1230,18 +1196,21 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for grid points i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_actions_ij( i, j, location )
 
 
-    INTEGER(iwp),      INTENT(IN) ::  i         !< grid index in x-direction
-    INTEGER(iwp),      INTENT(IN) ::  j         !< grid index in y-direction
     CHARACTER (LEN=*), INTENT(IN) ::  location  !< call location string
-    INTEGER(iwp)  ::  dummy  !< call location string
-
-    IF ( bulk_cloud_model    )   dummy = i + j
+
+    INTEGER(iwp)  ::  dummy                !< call location string
+
+    INTEGER(iwp), INTENT(IN) ::  i         !< grid index in x-direction
+    INTEGER(iwp), INTENT(IN) ::  j         !< grid index in y-direction
+
+
+    IF ( bulk_cloud_model )   dummy = i + j
 
     SELECT CASE ( location )
@@ -1276,9 +1245,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_non_advective_processes
 
@@ -1286,7 +1255,6 @@
        CALL cpu_log( log_point(51), 'microphysics', 'start' )
 
-       IF ( .NOT. microphysics_sat_adjust  .AND.                               &
-            ( intermediate_timestep_count == 1  .OR.                           &
-              call_microphysics_at_all_substeps ) )                            &
+       IF ( .NOT. microphysics_sat_adjust  .AND.  ( intermediate_timestep_count == 1  .OR.         &
+            call_microphysics_at_all_substeps ) )                                                  &
        THEN
 
@@ -1294,7 +1262,6 @@
 !
 !--          Calculate vertical profile of the hydrostatic pressure (hyp)
-             hyp    = barometric_formula(zu, pt_surface *                      &
-                      exner_function(surface_pressure * 100.0_wp),             &
-                      surface_pressure * 100.0_wp)
+             hyp    = barometric_formula(zu, pt_surface *                                          &
+                      exner_function(surface_pressure * 100.0_wp), surface_pressure * 100.0_wp)
              d_exner = exner_function_invers(hyp)
              exner = 1.0_wp / exner_function_invers(hyp)
@@ -1302,7 +1269,6 @@
 !
 !--          Compute reference density
-             rho_surface = ideal_gas_law_rho(surface_pressure * 100.0_wp,      &
-                           pt_surface *                                        &
-                           exner_function(surface_pressure * 100.0_wp))
+             rho_surface = ideal_gas_law_rho(surface_pressure * 100.0_wp,                          &
+                           pt_surface * exner_function(surface_pressure * 100.0_wp))
           ENDIF
 
@@ -1320,5 +1286,5 @@
 
 !
-!--       Compute cloud physics
+!--       Compute cloud physics.
 !--       Here the the simple kessler scheme is used.
           IF ( microphysics_kessler )  THEN
@@ -1327,12 +1293,12 @@
 
 !
-!--       Here the seifert beheng scheme is used. Cloud concentration is assumed to
-!--       a constant value an qc a diagnostic value.
+!--       Here the seifert beheng scheme is used. Cloud concentration is assumed to a constant value
+!--       an qc a diagnostic value.
           ELSEIF ( microphysics_seifert  .AND.  .NOT. microphysics_morrison )  THEN
              CALL adjust_cloud
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_nucleation
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_deposition
+             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
+                CALL ice_nucleation
+                CALL ice_deposition
+             ENDIF
              CALL autoconversion
              CALL accretion
@@ -1341,36 +1307,33 @@
              CALL sedimentation_rain
              IF ( cloud_water_sedimentation )  CALL sedimentation_cloud
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL adjust_ice
-             IF ( ice_crystal_sedimentation .AND. microphysics_ice_phase &
-                  .AND. simulated_time > start_ice_microphysics ) CALL sedimentation_ice
-
-!
-!--       Here the morrison scheme is used. No rain processes are considered and qr and nr
-!--       are not allocated
+             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
+                CALL adjust_ice
+                IF ( ice_crystal_sedimentation )  CALL sedimentation_ice
+             ENDIF
+
+!
+!--       Here the morrison scheme is used. No rain processes are considered and qr and nr are not
+!--       allocated.
           ELSEIF ( microphysics_morrison_no_rain  .AND.  .NOT. microphysics_seifert )  THEN
              CALL activation
              CALL condensation
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL adjust_ice
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_nucleation
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_deposition
+             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
+                CALL adjust_ice
+                CALL ice_nucleation
+                CALL ice_deposition
+             ENDIF
              IF ( cloud_water_sedimentation )  CALL sedimentation_cloud
 
 !
-!--       Here the full morrison scheme is used and all processes of Seifert and Beheng are
-!--       included
+!--       Here the full morrison scheme is used and all processes of Seifert and Beheng are included
           ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
              CALL adjust_cloud
              CALL activation
              CALL condensation
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL adjust_ice
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_nucleation
-             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )     &
-             CALL ice_deposition
+             IF ( microphysics_ice_phase  .AND.  simulated_time > start_ice_microphysics )  THEN
+                CALL adjust_ice
+                CALL ice_nucleation
+                CALL ice_deposition
+             ENDIF
              CALL autoconversion
              CALL accretion
@@ -1391,9 +1354,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for grid points i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_non_advective_processes_ij( i, j )
 
@@ -1402,7 +1365,6 @@
        INTEGER(iwp) ::  j                 !<
 
-       IF ( .NOT. microphysics_sat_adjust  .AND.                               &
-            ( intermediate_timestep_count == 1  .OR.                           &
-              call_microphysics_at_all_substeps ) )                            &
+       IF ( .NOT. microphysics_sat_adjust  .AND.  ( intermediate_timestep_count == 1  .OR.         &
+            call_microphysics_at_all_substeps ) )                                                  &
        THEN
 
@@ -1410,7 +1372,6 @@
 !
 !--          Calculate vertical profile of the hydrostatic pressure (hyp)
-             hyp    = barometric_formula(zu, pt_surface *                      &
-                      exner_function(surface_pressure * 100.0_wp),             &
-                      surface_pressure * 100.0_wp)
+             hyp    = barometric_formula(zu, pt_surface *                                          &
+                      exner_function(surface_pressure * 100.0_wp), surface_pressure * 100.0_wp)
              d_exner = exner_function_invers(hyp)
              exner = 1.0_wp / exner_function_invers(hyp)
@@ -1418,7 +1379,6 @@
 !
 !--          Compute reference density
-             rho_surface = ideal_gas_law_rho(surface_pressure * 100.0_wp,      &
-                           pt_surface *                                        &
-                           exner_function(surface_pressure * 100.0_wp))
+             rho_surface = ideal_gas_law_rho(surface_pressure * 100.0_wp,                          &
+                           pt_surface * exner_function(surface_pressure * 100.0_wp))
           ENDIF
 
@@ -1442,12 +1402,12 @@
 
 !
-!--       Here the seifert beheng scheme is used. Cloud concentration is assumed to
-!--       a constant value an qc a diagnostic value.
+!--       Here the seifert beheng scheme is used. Cloud concentration is assumed to a constant value
+!--       an qc a diagnostic value.
           ELSEIF ( microphysics_seifert  .AND.  .NOT. microphysics_morrison )  THEN
              CALL adjust_cloud_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
+             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )  THEN
                  CALL ice_nucleation_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
                  CALL ice_deposition_ij( i,j )
+             ENDIF
              CALL autoconversion_ij( i,j )
              CALL accretion_ij( i,j )
@@ -1456,35 +1416,33 @@
              CALL sedimentation_rain_ij( i,j )
              IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
+             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )  THEN
                  CALL adjust_ice_ij ( i,j )
-             IF ( ice_crystal_sedimentation .AND. microphysics_ice_phase &
-                  .AND. simulated_time > start_ice_microphysics )  CALL sedimentation_ice_ij ( i,j )
-!
-!--       Here the morrison scheme is used. No rain processes are considered and qr and nr
-!--       are not allocated
+                 IF ( ice_crystal_sedimentation )  CALL sedimentation_ice_ij ( i,j )
+             ENDIF
+
+!
+!--       Here the morrison scheme is used. No rain processes are considered and qr and nr are not
+!--       allocated.
           ELSEIF ( microphysics_morrison_no_rain  .AND.  .NOT. microphysics_seifert )  THEN
              CALL activation_ij( i,j )
              CALL condensation_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
+             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )  THEN
                  CALL adjust_ice_ij ( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
                  CALL ice_nucleation_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
                  CALL ice_deposition_ij( i,j )
+             ENDIF
              IF ( cloud_water_sedimentation )  CALL sedimentation_cloud_ij( i,j )
 
 !
-!--       Here the full morrison scheme is used and all processes of Seifert and Beheng are
-!--       included
+!--       Here the full morrison scheme is used and all processes of Seifert and Beheng are included
           ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
              CALL adjust_cloud_ij( i,j )
              CALL activation_ij( i,j )
              CALL condensation_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
+             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )  THEN
                  CALL adjust_ice_ij ( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
                  CALL ice_nucleation_ij( i,j )
-             IF ( microphysics_ice_phase .AND. simulated_time > start_ice_microphysics )       &
                  CALL ice_deposition_ij( i,j )
+             ENDIF
              CALL autoconversion_ij( i,j )
              CALL accretion_ij( i,j )
@@ -1501,20 +1459,19 @@
 
     END SUBROUTINE bcm_non_advective_processes_ij
-    
-    
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_exchange_horiz
 
-       USE exchange_horiz_mod,                                                  &
+       USE exchange_horiz_mod,                                                                     &
            ONLY:  exchange_horiz
 
 
-       IF ( .NOT. microphysics_sat_adjust  .AND.                                &
-            ( intermediate_timestep_count == 1  .OR.                            &
-              call_microphysics_at_all_substeps ) )                             &
+       IF ( .NOT. microphysics_sat_adjust  .AND.  ( intermediate_timestep_count == 1  .OR.         &
+            call_microphysics_at_all_substeps ) )                                                  &
        THEN
           IF ( microphysics_morrison )  THEN
@@ -1539,9 +1496,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Control of microphysics for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_prognostic_equations
 
@@ -1554,6 +1511,6 @@
 
 !
-!--    If required, calculate prognostic equations for cloud water content
-!--    and cloud drop concentration
+!--    If required, calculate prognostic equations for cloud water content and cloud drop
+!--    concentration.
        IF ( microphysics_morrison )  THEN
 
@@ -1581,8 +1538,8 @@
              IF ( timestep_scheme(1:5) == 'runge' )  THEN
                 IF ( ws_scheme_sca )  THEN
-                   CALL advec_s_ws( advc_flags_s, qc, 'qc',                    &
-                                    bc_dirichlet_l  .OR.  bc_radiation_l,      &
-                                    bc_dirichlet_n  .OR.  bc_radiation_n,      &
-                                    bc_dirichlet_r  .OR.  bc_radiation_r,      &
+                   CALL advec_s_ws( advc_flags_s, qc, 'qc',                                        &
+                                    bc_dirichlet_l  .OR.  bc_radiation_l,                          &
+                                    bc_dirichlet_n  .OR.  bc_radiation_n,                          &
+                                    bc_dirichlet_r  .OR.  bc_radiation_r,                          &
                                     bc_dirichlet_s  .OR.  bc_radiation_s )
                 ELSE
@@ -1594,13 +1551,13 @@
           ENDIF
 
-          CALL diffusion_s( qc,                                                &
-                            surf_def_h(0)%qcsws, surf_def_h(1)%qcsws,          &
-                            surf_def_h(2)%qcsws,                               &
-                            surf_lsm_h%qcsws,    surf_usm_h%qcsws,             &
-                            surf_def_v(0)%qcsws, surf_def_v(1)%qcsws,          &
-                            surf_def_v(2)%qcsws, surf_def_v(3)%qcsws,          &
-                            surf_lsm_v(0)%qcsws, surf_lsm_v(1)%qcsws,          &
-                            surf_lsm_v(2)%qcsws, surf_lsm_v(3)%qcsws,          &
-                            surf_usm_v(0)%qcsws, surf_usm_v(1)%qcsws,          &
+          CALL diffusion_s( qc,                                                                    &
+                            surf_def_h(0)%qcsws, surf_def_h(1)%qcsws,                              &
+                            surf_def_h(2)%qcsws,                                                   &
+                            surf_lsm_h%qcsws,    surf_usm_h%qcsws,                                 &
+                            surf_def_v(0)%qcsws, surf_def_v(1)%qcsws,                              &
+                            surf_def_v(2)%qcsws, surf_def_v(3)%qcsws,                              &
+                            surf_lsm_v(0)%qcsws, surf_lsm_v(1)%qcsws,                              &
+                            surf_lsm_v(2)%qcsws, surf_lsm_v(3)%qcsws,                              &
+                            surf_usm_v(0)%qcsws, surf_usm_v(1)%qcsws,                              &
                             surf_usm_v(2)%qcsws, surf_usm_v(3)%qcsws )
 
@@ -1612,12 +1569,11 @@
                 !DIR$ IVDEP
                 DO  k = nzb+1, nzt
-                   qc_p(k,j,i) = qc(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +   &
-                                                      tsc(3) * tqc_m(k,j,i) )  &
-                                                    - tsc(5) * rdf_sc(k) *     &
-                                                               qc(k,j,i)       &
-                                             )                                 &
-                                    * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_total_0(k,j,i), 0 )   &
-                                          )
+                   qc_p(k,j,i) = qc(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +                       &
+                                                      tsc(3) * tqc_m(k,j,i) )                      &
+                                                    - tsc(5) * rdf_sc(k) *                         &
+                                                               qc(k,j,i)                           &
+                                             )                                                     &
+                                  * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 )   &
+                                         )
                    IF ( qc_p(k,j,i) < 0.0_wp )  qc_p(k,j,i) = 0.0_wp
                 ENDDO
@@ -1641,6 +1597,5 @@
                    DO  j = nys, nyn
                       DO  k = nzb+1, nzt
-                         tqc_m(k,j,i) =   -9.5625_wp * tend(k,j,i)             &
-                                         + 5.3125_wp * tqc_m(k,j,i)
+                         tqc_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tqc_m(k,j,i)
                       ENDDO
                    ENDDO
@@ -1673,8 +1628,8 @@
              IF ( timestep_scheme(1:5) == 'runge' )  THEN
                 IF ( ws_scheme_sca )  THEN
-                   CALL advec_s_ws( advc_flags_s, nc, 'nc',                    &
-                                    bc_dirichlet_l  .OR.  bc_radiation_l,      &
-                                    bc_dirichlet_n  .OR.  bc_radiation_n,      &
-                                    bc_dirichlet_r  .OR.  bc_radiation_r,      &
+                   CALL advec_s_ws( advc_flags_s, nc, 'nc',                                        &
+                                    bc_dirichlet_l  .OR.  bc_radiation_l,                          &
+                                    bc_dirichlet_n  .OR.  bc_radiation_n,                          &
+                                    bc_dirichlet_r  .OR.  bc_radiation_r,                          &
                                     bc_dirichlet_s  .OR.  bc_radiation_s )
                 ELSE
@@ -1686,13 +1641,13 @@
           ENDIF
 
-          CALL diffusion_s( nc,                                                &
-                            surf_def_h(0)%ncsws, surf_def_h(1)%ncsws,          &
-                            surf_def_h(2)%ncsws,                               &
-                            surf_lsm_h%ncsws,    surf_usm_h%ncsws,             &
-                            surf_def_v(0)%ncsws, surf_def_v(1)%ncsws,          &
-                            surf_def_v(2)%ncsws, surf_def_v(3)%ncsws,          &
-                            surf_lsm_v(0)%ncsws, surf_lsm_v(1)%ncsws,          &
-                            surf_lsm_v(2)%ncsws, surf_lsm_v(3)%ncsws,          &
-                            surf_usm_v(0)%ncsws, surf_usm_v(1)%ncsws,          &
+          CALL diffusion_s( nc,                                                                    &
+                            surf_def_h(0)%ncsws, surf_def_h(1)%ncsws,                              &
+                            surf_def_h(2)%ncsws,                                                   &
+                            surf_lsm_h%ncsws,    surf_usm_h%ncsws,                                 &
+                            surf_def_v(0)%ncsws, surf_def_v(1)%ncsws,                              &
+                            surf_def_v(2)%ncsws, surf_def_v(3)%ncsws,                              &
+                            surf_lsm_v(0)%ncsws, surf_lsm_v(1)%ncsws,                              &
+                            surf_lsm_v(2)%ncsws, surf_lsm_v(3)%ncsws,                              &
+                            surf_usm_v(0)%ncsws, surf_usm_v(1)%ncsws,                              &
                             surf_usm_v(2)%ncsws, surf_usm_v(3)%ncsws )
 
